//----------------------------------------------------------------------------
//  Project Test_At3dx_Viewer
//  MicroMouse Productions
//  Copyright © 2010-2012. All Rights Reserved.
//  Author: Wayne Hogue
//
//----------------------------------------------------------------------------

// MSVC_Test_At3dx_ViewerDlg.h : header file
//

#pragma once


// CMSVC_Test_At3dx_ViewerDlg dialog
class CMSVC_Test_At3dx_ViewerDlg : public CDialog
{
// Construction
public:
	CMSVC_Test_At3dx_ViewerDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_MSVC_TESTAT3DXVIEWER_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
  afx_msg void OnDestroy();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

  void Start_DLL(void);
  void Stop_DLL(void);
  void Read_3D_File(void);

  int dllOpen;
  int fileLoaded;
  char inName[MAX_PATH];
  int useTexturesFlag;
  int reversePanFlag;
  int reverseZoomFlag;
  int alwaysShowCameraCursorFlag;

public:
  BOOL m_UseTextures;
  BOOL m_ReversePan;
  BOOL m_ReverseZoom;
  afx_msg void OnBnClicked_ReadObjFile();
  afx_msg void OnBnClicked_UseTextures();
  afx_msg void OnBnClicked_ReversePan();
  afx_msg void OnBnClicked_ReverseZoom();
  BOOL m_AlwaysShowCameraCursor;
  afx_msg void OnBnClicked_AlwaysShowCameraCursor();
};
